<h1 class="m-b-10" mat-dialog-title>Zoho Connection</h1>
<hr class="m-t-10 mat-title-line">

<div mat-dialog-content>
  <form #f="ngForm" (ngSubmit)="testAuthToken()" autocomplete="off">
    <mat-form-field appearance="outline" class="m-t-5">
      <mat-label class="f-16">Connection Name</mat-label>
      <input type="text" name="connectionName" [(ngModel)]='saveConnection.connectionName' required
        #connectionName="ngModel" matInput pattern="^[^\s]+(\s+[^\s]+)*$" />
      <mat-error *ngIf="connectionName.invalid && connectionName.errors['required']">Please enter connection name</mat-error>
      <mat-error *ngIf="connectionName.invalid && connectionName.errors['pattern']">Please remove blank spaces</mat-error>
    </mat-form-field>
    
    <mat-label class="f-16 f-semiBold m-t-10">Click this
      <a href="https://accounts.zoho.com/apiauthtoken/create?SCOPE=ZohoSubscriptions/subscriptionsapi"
      class="f-16 f-semiBold" target="_blank">link</a>
      to generate Auth token
    </mat-label>
    
    <mat-form-field appearance="outline" class="m-t-5">
      <mat-label class="f-16">Auth Token</mat-label>
      <input type="text" name="authToken" [(ngModel)]='saveConnection.authToken' required #authToken="ngModel"
      matInput pattern="^[^\s]+(\s+[^\s]+)*$"  />
      <mat-error *ngIf="authToken.invalid && authToken.errors['required']">Please enter auth token</mat-error>
      <mat-error *ngIf="authToken.invalid && authToken.errors['pattern']">Please remove blank spaces</mat-error>
    </mat-form-field>
    
    <button mat-raised-button [disabled]="f.invalid" class="m-b-10" type="submit">Test Connection</button>
    <mat-error class="m-t-5" *ngIf="invalidAuthToken">{{responseErrorMessage}}</mat-error>
  </form>

  <div *ngIf="showOrganizations">
    <p class="f-semiBold m-t-30 f-16">Select Organization for fetching data</p>
    <hr class="m-t-5 m-b-5">
    <div class="orgList-wrap">
      <mat-radio-group class="radio-group m-t-5" (change)="radioChange($event)">
        <mat-radio-button class="radio-button" *ngFor="let org of zohoOrganizations" [value]="org.id">
          {{org.name}}
        </mat-radio-button>
      </mat-radio-group>
    </div>
  </div>
</div>
<div mat-dialog-actions class="text-center  m-t-20">
  <div class="m-b-10">
    <button mat-raised-button (click)="onNoClick()">Cancel</button>
    <button mat-raised-button [disabled]="!enableSaveButton()" color="primary" class="default" (click)="onSaveConnection()">Save</button>
  </div>
</div>